GDB (xrefs)

Public Attributes | List of all members
pspace_object Struct Reference

## Public Attributes
PyObject_HEAD struct program_space * | pspace
PyObject * | dict
PyObject * | printers
PyObject * | frame_filters
PyObject * | frame_unwinders
PyObject * | type_printers
PyObject * | xmethods

## Detailed Description

Definition at line 29 of file py-progspace.c.

## Member Data Documentation

## ◆ dict

PyObject* pspace_object::dict

Definition at line 38 of file py-progspace.c.

Referenced by pspy_dealloc().

## ◆ frame_filters

PyObject* pspace_object::frame_filters

Definition at line 44 of file py-progspace.c.

Referenced by pspy_dealloc().

## ◆ frame_unwinders

PyObject* pspace_object::frame_unwinders

Definition at line 47 of file py-progspace.c.

Referenced by pspy_dealloc().

## ◆ printers

PyObject* pspace_object::printers

Definition at line 41 of file py-progspace.c.

Referenced by pspy_dealloc().

## ◆ pspace

PyObject_HEAD struct program_space* pspace_object::pspace

Definition at line 34 of file py-progspace.c.

Referenced by pspy_get_filename().

## ◆ type_printers

PyObject* pspace_object::type_printers

Definition at line 50 of file py-progspace.c.

Referenced by pspy_dealloc().

## ◆ xmethods

PyObject* pspace_object::xmethods

Definition at line 53 of file py-progspace.c.

Referenced by pspy_dealloc().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-progspace.c